crashpad::ScopedPtraceAttach Class Reference

Maintains a `ptrace()` attachment to a process. More...

`#include "util/linux/scoped_ptrace_attach.h"`

## Public Member Functions

bool | Reset ()
| Detaches from the process by calling `ptrace()`. More...
bool | ResetAttach (pid_t pid)
| Detaches from any previously attached process, attaches to the process with process ID pid, and blocks until the target process has stopped by calling `waitpid()`. More...

## Detailed Description

Maintains a `ptrace()` attachment to a process.

On destruction, the process will be detached.

## Member Function Documentation

## Reset()

bool crashpad::ScopedPtraceAttach::Reset | ( |  | ) |

Detaches from the process by calling `ptrace()`.

Returns
  `true` on success. `false` on failure, with a message logged.

## ResetAttach()

bool crashpad::ScopedPtraceAttach::ResetAttach | ( | pid_t | pid | ) |

Detaches from any previously attached process, attaches to the process with process ID pid, and blocks until the target process has stopped by calling `waitpid()`.

Returns
  `true` on success. `false` on failure, with a message logged.

The documentation for this class was generated from the following files:

- util/linux/scoped_ptrace_attach.h
- util/linux/scoped_ptrace_attach.cc